// Generated by gencpp from file teleop_msgs/PathParamsRequest.msg
// DO NOT EDIT!


#ifndef TELEOP_MSGS_MESSAGE_PATHPARAMSREQUEST_H
#define TELEOP_MSGS_MESSAGE_PATHPARAMSREQUEST_H


#include <string>
#include <vector>
#include <memory>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace teleop_msgs
{
template <class ContainerAllocator>
struct PathParamsRequest_
{
  typedef PathParamsRequest_<ContainerAllocator> Type;

  PathParamsRequest_()
    : path_step(0)  {
    }
  PathParamsRequest_(const ContainerAllocator& _alloc)
    : path_step(0)  {
  (void)_alloc;
    }



   typedef uint32_t _path_step_type;
  _path_step_type path_step;





  typedef boost::shared_ptr< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> const> ConstPtr;

}; // struct PathParamsRequest_

typedef ::teleop_msgs::PathParamsRequest_<std::allocator<void> > PathParamsRequest;

typedef boost::shared_ptr< ::teleop_msgs::PathParamsRequest > PathParamsRequestPtr;
typedef boost::shared_ptr< ::teleop_msgs::PathParamsRequest const> PathParamsRequestConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::teleop_msgs::PathParamsRequest_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >::stream(s, "", v);
return s;
}


template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator==(const ::teleop_msgs::PathParamsRequest_<ContainerAllocator1> & lhs, const ::teleop_msgs::PathParamsRequest_<ContainerAllocator2> & rhs)
{
  return lhs.path_step == rhs.path_step;
}

template<typename ContainerAllocator1, typename ContainerAllocator2>
bool operator!=(const ::teleop_msgs::PathParamsRequest_<ContainerAllocator1> & lhs, const ::teleop_msgs::PathParamsRequest_<ContainerAllocator2> & rhs)
{
  return !(lhs == rhs);
}


} // namespace teleop_msgs

namespace ros
{
namespace message_traits
{





template <class ContainerAllocator>
struct IsMessage< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "49555e59f3b717513cb9660997a29046";
  }

  static const char* value(const ::teleop_msgs::PathParamsRequest_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0x49555e59f3b71751ULL;
  static const uint64_t static_value2 = 0x3cb9660997a29046ULL;
};

template<class ContainerAllocator>
struct DataType< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "teleop_msgs/PathParamsRequest";
  }

  static const char* value(const ::teleop_msgs::PathParamsRequest_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
{
  static const char* value()
  {
    return "uint32 path_step\n"
;
  }

  static const char* value(const ::teleop_msgs::PathParamsRequest_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.path_step);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct PathParamsRequest_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::teleop_msgs::PathParamsRequest_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::teleop_msgs::PathParamsRequest_<ContainerAllocator>& v)
  {
    s << indent << "path_step: ";
    Printer<uint32_t>::stream(s, indent + "  ", v.path_step);
  }
};

} // namespace message_operations
} // namespace ros

#endif // TELEOP_MSGS_MESSAGE_PATHPARAMSREQUEST_H
